| Flutter macOS Embedder |

Public Member Functions | List of all members
flutter::testing::MockFlutterEngineTest Class Reference

`#include <FlutterEngineTestUtils.h>`

Inheritance diagram for flutter::testing::MockFlutterEngineTest:

## Public Member Functions
| MockFlutterEngineTest ()
void | SetUp () override
void | TearDown () override
id | GetMockEngine ()
void | ShutDownEngine ()
| ~MockFlutterEngineTest ()

## Detailed Description

Definition at line 45 of file FlutterEngineTestUtils.h.

## Constructor & Destructor Documentation

## ◆ MockFlutterEngineTest()

flutter::testing::MockFlutterEngineTest::MockFlutterEngineTest | ( |  | ) |
| default

## ◆ ~MockFlutterEngineTest()

flutter::testing::MockFlutterEngineTest::~MockFlutterEngineTest | ( |  | ) |
| inline

Definition at line 56 of file FlutterEngineTestUtils.h.

56 {
57 [engine_mock_ shutDownEngine];
58 [engine_mock_ stopMocking];
59 }

## Member Function Documentation

## ◆ GetMockEngine()

id flutter::testing::MockFlutterEngineTest::GetMockEngine | ( |  | ) |
| inline

Definition at line 52 of file FlutterEngineTestUtils.h.

52 { return engine_mock_; }

## ◆ SetUp()

void flutter::testing::MockFlutterEngineTest::SetUp | ( |  | ) |
| override

Definition at line 94 of file FlutterEngineTestUtils.mm.

94 {
95 engine_mock_ = CreateMockFlutterEngine(@"");
96 }

References flutter::testing::CreateMockFlutterEngine().

## ◆ ShutDownEngine()

void flutter::testing::MockFlutterEngineTest::ShutDownEngine | ( |  | ) |

Definition at line 104 of file FlutterEngineTestUtils.mm.

104 {
105 [engine_mock_ shutDownEngine];
106 engine_mock_ = nil;
107 }

## ◆ TearDown()

void flutter::testing::MockFlutterEngineTest::TearDown | ( |  | ) |
| override

Definition at line 98 of file FlutterEngineTestUtils.mm.

98 {
99 [engine_mock_ shutDownEngine];
100 [engine_mock_ stopMocking];
101 engine_mock_ = nil;
102 }

The documentation for this class was generated from the following files:

- shell/platform/darwin/macos/framework/Source/FlutterEngineTestUtils.h
- shell/platform/darwin/macos/framework/Source/FlutterEngineTestUtils.mm

flutter::testing::CreateMockFlutterEngine
id CreateMockFlutterEngine(NSString *pasteboardString)
Definition: FlutterEngineTestUtils.mm:76